package edu.sjsu.homework1;

import android.app.Activity;
import android.os.Bundle;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.ToggleButton;

/*
 * A main activity for loading the main layout resource.
 * This activity is used to display the main layout, and handle 
 * click events on three different toggle buttons.
 *
 * @author SJSU Students
 * @version 1.0
 */
public class MainActivity extends Activity implements OnCheckedChangeListener {
    private TextView topLabel;	// the top label 
    private ImageView centerImage;	// the center image
    private ToggleButton brushButton;	// the brush button
    private ToggleButton shaveButton;	// the shave button
    private ToggleButton combButton;	// the comb button
    
    @Override
    protected void onCreate(Bundle savedInstanceState) {
	super.onCreate(savedInstanceState);
	setContentView(R.layout.activity_main);
	
	// find label, image and buttons by id
	topLabel = (TextView) findViewById(R.id.topLabel);
	centerImage = (ImageView) findViewById(R.id.centerImage);
	brushButton = (ToggleButton) findViewById(R.id.brushButton);
	shaveButton = (ToggleButton) findViewById(R.id.shaveButton);
	combButton = (ToggleButton) findViewById(R.id.combButton);
	
	setUpListener();  // set up the listener for buttons
    }
    
    /*
     * Set up the listener for toggle buttons.
     */
    private void setUpListener() {
	brushButton.setOnCheckedChangeListener(this);
	shaveButton.setOnCheckedChangeListener(this);
	combButton.setOnCheckedChangeListener(this);
    }

    @Override
    public void onCheckedChanged(CompoundButton buttonView, boolean isChecked) {
	boolean brushCheck = brushButton.isChecked();
	boolean shaveCheck = shaveButton.isChecked();
	boolean combCheck = combButton.isChecked();
	
	if (!brushCheck && !shaveCheck && !combCheck) {
	    topLabel.setText(getString(R.string.top_label));
	    centerImage.setImageResource(R.drawable.get_up);
	} else if (brushCheck && !shaveCheck && !combCheck) {
	    topLabel.setText(getString(R.string.brush));
	    centerImage.setImageResource(R.drawable.brush);
	} else if (!brushCheck && shaveCheck && !combCheck) {
	    topLabel.setText(getString(R.string.shave));
	    centerImage.setImageResource(R.drawable.shave);
	} else if (!brushCheck && !shaveCheck && combCheck) {
	    topLabel.setText(getString(R.string.comb));
	    centerImage.setImageResource(R.drawable.comb);
	} else if (brushCheck && shaveCheck && !combCheck) {
	    topLabel.setText(getString(R.string.brush_shave));
	    centerImage.setImageResource(R.drawable.brush_shave);
	} else if (brushCheck && !shaveCheck && combCheck) {
	    topLabel.setText(getString(R.string.brush_comb));
	    centerImage.setImageResource(R.drawable.brush_comb);
	} else if (!brushCheck && shaveCheck && combCheck) {
	    topLabel.setText(getString(R.string.shave_comb));
	    centerImage.setImageResource(R.drawable.shave_comb);
	} else {
	    topLabel.setText(getString(R.string.brush_shave_comb));
	    centerImage.setImageResource(R.drawable.brush_shave_comb);
	} 
    }
}
